#!/usr/bin/perl

# tmgolf.pl Version 0.2.0 - Print Team Golf Pairing
# Copyright (C) 2002-2010  dondalah721@yahoo.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

$PREVEVENT = $PREVRND = -999;
while ($LN = <>)
   {
   chop($LN);
   @FLD = split(/ /,$LN);
   $LGTH = $#FLD;
   next if ($LGTH < 6);
   $EVENT = $FLD[0];
   $ROUND = $FLD[1];
   if ($EVENT != $PREVEVENT
      || $ROUND != $PREVRND)
      {
      printf "\nRound %3d\n", $ROUND;
      print  "\n                Alpha  Alpha   Omega  Omega\n";
      $PREVRND = $ROUND;
      $PREVEVENT = $EVENT;
      } # event break
   $FOURSOME = $FLD[2];
   $NORTH = $FLD[3] + 1;
   $SOUTH = $FLD[4] + 1;
   $EAST  = $FLD[5] + 1;
   $WEST  = $FLD[6] + 1;
   printf "Foursome %3d:    %3d    %3d     %3d    %3d\n",
      $FOURSOME, $NORTH, $SOUTH, $EAST, $WEST;
   $PREVRND = $ROUND;
   $PREVEVENT = $EVENT;
   } # read loop
